Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\SiteAccess;
8
9 use eZ\Publish\Core\MVC\ConfigResolverInterface;
10 use eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver;
11
15 final class LanguageResolver extends AbstractLanguageResolver
16 {
18 private $configResolver;
19
20 public function __construct(
21 ConfigResolverInterface $configResolver,
22 bool $defaultUseAlwaysAvailable = true,
23 bool $defaultShowAllTranslations = false
24 ) {
25 $this->configResolver = $configResolver;
26 parent::__construct($defaultUseAlwaysAvailable, $defaultShowAllTranslations);
27 }
28
34 protected function getConfiguredLanguages(): array
35 {
36 return $this->configResolver->getParameter('languages');
37 }
38 }
eZ\Bundle\EzPublishCoreBundle\SiteAccess\LanguageResolver
Resolves language settings for use in SiteAccess aware Repository.
Definition: Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php:16
eZ\Bundle\EzPublishCoreBundle\SiteAccess\LanguageResolver\getConfiguredLanguages
getConfiguredLanguages()
Get list of languages configured via scope/SiteAccess context.
Definition: Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php:34
eZ\Bundle\EzPublishCoreBundle\SiteAccess\LanguageResolver\$configResolver
$configResolver
Definition: Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php:18
eZ\Bundle\EzPublishCoreBundle\SiteAccess\LanguageResolver\__construct
__construct(ConfigResolverInterface $configResolver, bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false)
Definition: Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php:20
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver
Common abstract implementation of Language resolver.
Definition: AbstractLanguageResolver.php:20
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultShowAllTranslations
$defaultShowAllTranslations
Definition: AbstractLanguageResolver.php:25
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultUseAlwaysAvailable
$defaultUseAlwaysAvailable
Definition: AbstractLanguageResolver.php:22
eZ\Publish\Core\MVC\ConfigResolverInterface
Interface for config resolvers.
Definition: ConfigResolverInterface.php:19
eZ\Bundle\EzPublishCoreBundle\SiteAccess
Definition: Bundle/EzPublishCoreBundle/SiteAccess/LanguageResolver.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.